#*** Zahl in einen BitString konvertieren ***
proc val2Bin val {
	set binRep [binary format c $val]
	binary scan $binRep B* binStr
	return $binStr
}

set bitpos {128 64 32 16 8 4 2 1}
set led {}
set z 0

for {set i 0} {$i < 64} {incr i} {
	set led [linsert $led end [val2Bin [lindex $bitpos $z]]]
	incr z
	if {$z > 7} {set z 0}
}

set cmd [list set_led [join $led ""]]
# set cmd [list set_led $led]

puts $cmd

set chan [socket etherrape 12345]
puts $chan $cmd
flush $chan
puts [gets $chan]
close $chan
