/* vim:fdm=marker ts=4 et ai
 * {{{
 *
 * (c) by Alexander Neumann <alexander@bumpern.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * For more information on the GPL, please go to:
 * http://www.gnu.org/copyleft/gpl.html
 }}} */

#include <avr/eeprom.h>
#include <avr/pgmspace.h>
#include <util/crc16.h>
#include <string.h>

#include "network.h"
#include "echo.h"
#include "cube.h"

#include <uip/uip.h>

void network_handle_tcp(void)
{
  if (uip_conn->lport == HTONS(ECHO_PORT))
    echo_main();

  if (uip_conn->lport == HTONS(CUBE_PORT))
    cube_main();
}

void network_handle_udp(void)
{
}
